import "./App.css";
import { Route, Routes } from "react-router-dom";
import { LoginPage } from "../src/pages/login";
import { SeatLayoutPage } from "../src/pages/seat-layout";
import { ConfirmationPage } from "../src/pages/confirmation";
import { SeatLimitPage } from "../src/pages/seat-limit";
import { useEffect } from "react";
import { useNavigate } from "react-router-dom";
function App() {
  const navigate = useNavigate();
  useEffect(() => {
    const userIsLoggedIn = sessionStorage.getItem("userId");
    userIsLoggedIn ?? navigate("/");
    // Navigate to the booking if the user is logged in
  }, [navigate]);
  return (
    <div className="App">
      <Routes>
        <Route path="/" element={<LoginPage />} />
        <Route path="/seat-limit" element={<SeatLimitPage />} />
        <Route path="/booking" element={<SeatLayoutPage />} />
        <Route path="/confirmation" element={<ConfirmationPage />} />
        {/* Default route */}
        <Route path="*" element={<LoginPage />} />
      </Routes>
    </div>
  );
}

export default App;
