import { useState } from "react";
import Button from "../../base/button";
import Layout from "../../base/layout";
import Input from "../../base/input";
import { toast } from "react-toastify";
import styles from "./seat-limit.module.css";
function SeatLimit({ onLimit, ...props }) {
  const [limit, setLimit] = useState(0);
  const handleLimit = (e) => {
    e.preventDefault();
    if (limit > 0) {
      onLimit({ limit });
    } else {
      toast.info("Please enter atleast 1 seat");
    }
  };
  return (
    <Layout title="How many seats?">
      <form onSubmit={handleLimit} className={styles.form}>
        <label className="label">No of seats:</label>
        <Input
          type="number"
          value={limit}
          onChange={(e) => setLimit(e.target.value)}
          min="1"
          max="10"
        />
        <div className={styles.button}>
          <Button {...props}>Book Seats</Button>
        </div>
      </form>
    </Layout>
  );
}
export default SeatLimit;
