const BASE_URL = process.env.REACT_APP_BASE_URL;

export async function login({ mobile }) {
  // Attempt to fetch user data
  const response = await fetch(`${BASE_URL}/users?mobile=${mobile}`);
  const result = await response.json();
  return result;
}

export async function register({ mobile }) {
  // User not found, register
  const user = await fetch(`${BASE_URL}/users`, {
    method: "POST",
    headers: { "Content-Type": "application/json" },
    body: JSON.stringify({ mobile }),
  });

  return await user.json();
}

export async function addSeats({ id, seats }) {
  //add seat
  //here id = userid
  const response = await fetch(`${BASE_URL}/reservedSeats `, {
    method: "POST",
    headers: { "Content-Type": "application/json" },
    body: JSON.stringify({ id, seats }),
  });
  return await response.json();
}

export async function updateSeats({ id, seats }) {
  //update
  const response = await fetch(`${BASE_URL}/reservedSeats/${id}`, {
    method: "PUT",
    headers: { "Content-Type": "application/json" },
    body: JSON.stringify({ seats }),
  });
  return await response.json();
}

export async function getAllReservedSeats() {
  const response = await fetch(`${BASE_URL}/reservedSeats`);
  return await response.json();
}

export async function getSeatLayout() {
  const response = await fetch(`${BASE_URL}/seatLayout`);
  return await response.json();
}

export async function getUserByMobile({ mobile }) {
  const response = await fetch(`${BASE_URL}/users?mobile=${mobile}`);
  return await response.json();
}
