import { useEffect } from "react";
import SeatLayout from "../components/top-level/seat-layout";
import { useAppContext } from "../context";
import { useNavigate } from "react-router-dom";

export function SeatLayoutPage() {
  let {
    userSeats,
    reservedSeats,
    isLoading,
    seatLayout,
    addOrUpdateSeats,
    getAllReservedSeats,
    getSeatLayout,
  } = useAppContext();

  const navigate = useNavigate();
  const userId = sessionStorage.getItem("userId");
  const seatLimit = sessionStorage.getItem("seatLimit");

  useEffect(() => {
    //it will check only on page refresh ,at the time of page refresh it will be empty
    !reservedSeats.length && getAllReservedSeats();
    getSeatLayout();
  }, []);

  const handleConfirmed = async ({ id, seats }) => {
    await addOrUpdateSeats({ id, seats });
    navigate("/confirmation", { state: { seats: seats } });
  };

  return (
    <SeatLayout
      isLoading={isLoading}
      userId={userId}
      seatLimit={seatLimit}
      seats={seatLayout}
      selectedSeats={userSeats}
      reservedSeats={reservedSeats}
      onClick={handleConfirmed}
    />
  );
}
